Skip to main content

List Webhooks

GET 

/webhooks

Lists all webhooks created for the account.

Request​

Responses​

GET /webhooks Successful response

Schema
    version stringrequired

    Possible values: [1.0]

    The version of the response schema

    result_type stringrequired

    Possible values: [list]

    A non-paginated list of the webhook resource.

    resource_type stringrequired

    Possible values: [webhook]

    Data contains the webhook resource.

    data object[]required
  • Array [
  • id cuidrequired

    The unique identifier of the partially signed document

    resource_type stringrequired

    Possible values: [partially_signed_document]

    status stringrequired

    Possible values: [queued, current, stale, deprecated, failed]

    revision int64nullablerequired

    Possible values: <= 9007199254740991

    file objectnullablerequired

    The file resource

    id cuidrequired

    The unique identifier of the file

    resource_type stringrequired

    Possible values: [file]

    filename stringrequired

    Possible values: non-empty

    The complete filename including the file extension

    mime_type stringrequired

    Possible values: non-empty

    The mime type of the file

    url url

    The signed read url of the file

    metadata object
    lookup_key stringrequired

    A provided lookup key provided by you to help you identify the file.

    created_at stringrequired

    UTC datetime ISO string

    updated_at stringrequired

    UTC datetime ISO string

    delete_scheduled_at stringnullablerequired

    UTC datetime ISO string

    deleted_at stringnullablerequired

    UTC datetime ISO string

    deleted booleanrequired
    created_at stringrequired

    UTC datetime ISO string

    updated_at stringrequired

    UTC datetime ISO string

  • ]
Loading...